import sqlite3
import csv

inpsql3 = sqlite3.connect("ordr2.sqlite")
sql3_cursor = inpsql3.cursor()

for table in ("consumables", "orders", "users"):
    sql3_cursor.execute(f"SELECT * FROM {table}")
    with open(f"ordr2_{table}.csv", "w") as out_csv_file:
        csv_out = csv.writer(out_csv_file)
        # write header
        csv_out.writerow([d[0] for d in sql3_cursor.description])
        # write data
        for result in sql3_cursor:
            csv_out.writerow(result)

inpsql3.close()
