import sqlite3

inpsql3 = sqlite3.connect("ordr2.sqlite")
sql3_cursor = inpsql3.cursor()

vendors = set()
for table in ("consumables", "orders"):
    sql3_cursor.execute(f"SELECT vendor FROM {table}")
    for result in sql3_cursor:
        vendors.add(result[0])

with open("ordr2_vendors.txt", "w") as file_handle:
    file_handle.write("\n".join(sorted(vendors)))

with open("ordr2_vendors_lower.txt", "w") as file_handle:
    lowered = set([v.lower() for v in vendors])
    file_handle.write("\n".join(sorted(lowered)))

inpsql3.close()
